package com.fireworksdk.bridge.flutter.platformviewfactory

import android.content.Context
import androidx.fragment.app.FragmentActivity
import com.fireworksdk.bridge.flutter.platformview.FWLoadingPlatformView
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory

class FWLoadingFactory(
  private val activity: FragmentActivity
) : PlatformViewFactory(StandardMessageCodec.INSTANCE) {

  override fun create(context: Context, viewId: Int, args: Any?): PlatformView {
    return FWLoadingPlatformView(activity, viewId)
  }
}