package com.fireworksdk.bridge.models.enums

enum class FWShoppingCtaResultRes(val rawValue: String) {
  Success("success"),
  Fail("fail"),
  Loading("loading");

  companion object {
    fun deserialize(rawValue: String?): FWShoppingCtaResultRes? {
      rawValue ?: return null
      return FWShoppingCtaResultRes.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWShoppingCtaResultRes?): String? {
      model ?: return  null
      return model.rawValue
    }
  }
}