//
//  FlutterToNativeMethodName.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2022/3/8.
//

import Foundation

enum FireworkSDKPluginMethodName: String {
    case `init`
    case openVideoPlayer
    case setCustomCTAClickEnabled
    case setVideoPlaybackEventEnabled
    case setShareBaseURL
    case setAdBadgeConfiguration
    case trackPurchase
    case changeAppLanguage
    case pausePlayer
    case resumePlayer
    case markInitCalled
}

enum ShoppingPluginMethodName: String {
    case `init`
    case setCartIconVisible
    case setCartItemCount
    case setProductInfoViewConfiguration
    case setCustomClickLinkButtonEnabled
    case setCustomTapProductCardEnabled
    case showShoppingCTALoader
    case completeShoppingCTAHandlingProcess
}

enum LiveStreamPluginMethodName: String {
    case `init`

}

enum VideoFeedMethodName: String {
    case setVideoFeedConfiguration, setVideoPlayerConfiguration, refresh
}

enum StoryBlockMethodName: String {
    case play, pause, setStoryBlockConfiguration
}

enum NavigatorPluginMethodName: String {
    case popNativeContainer, startFloatingPlayer, stopFloatingPlayer
}
