class LiveStreamEventDetails {
  /// A unique identifier of the live stream.
  String id;

  LiveStreamEventDetails({
    required this.id,
  });
}

enum LiveStreamEventName {
  /// Called when a user joins an active live stream.
  userDidjoin,

  ///Called when the user leaves an active live stream.
  userDidLeave,

  /// Called when a user sends a like to an active live stream.
  userSendLike,
}
