import '../../models/ios_font_info.dart';

class IOSFontInfoUtil {
  static Map<String, dynamic> toJson(IOSFontInfo fontInfo) {
    Map<String, dynamic> json = {};
    if (fontInfo.fontName != null) {
      json["fontName"] = fontInfo.fontName!;
    }

    if (fontInfo.systemFontStyle != null) {
      json["systemFontStyle"] = fontInfo.systemFontStyle!.name;
    }

    if (fontInfo.systemFontWeight != null) {
      json["systemFontWeight"] = fontInfo.systemFontWeight!.name;
    }
    return json;
  }
}
