package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWVideoFeedTitlePosition

data class FWVideoFeedConfigModel(
  val backgroundColor: String? = null,
  val cornerRadius: Int? = null,
  val title: FWTitleModel? = null,
  val titlePosition: FWVideoFeedTitlePosition? = null,
  val playIcon: FWPlayIconModel? = null,
  val showAdBadge: Boolean? = null,
  val enableAutoplay: Boolean? = null,
  val gridColumns: Int? = null,
  val itemSpacing: Int? = null,
) {

  data class FWTitleModel(
    val hidden: Boolean? = null,
    val textColor: String? = null,
    val fontSize: Int? = null,
    val fontInfo: FWFontInfoModel? = null,
    val backgroundColor: String? = null,
    val gradientDrawable: FWGradientDrawableModel? = null,
  )

  data class FWPlayIconModel(
    val hidden: Boolean? = null,
    val iconWidth: Int? = null,
  )
}
