package com.fireworksdk.bridge.models

data class FWVideoShoppingProduct(
  val productId: String? = null,
  val name: String? = null,
  val description: String? = null,
  val units: List<FWVideoProductUnit>? = null,
  val isAvailable: Boolean = true,
  ) {

  data class FWVideoProductUnit(
    val unitId: String? = null,
    val name: String? = null,
    val price: FWVideoProductPrice? = null,
    val url: String? = null,
    val imageUrl: String? = null,
    val options: List<FWVideoProductOption>? = null,
    val isAvailable: Boolean = true,
  )

  data class FWVideoProductPrice(
    val amount: Double? = null,
    val currencyCode: String? = null,
  )

  data class FWVideoProductOption(
    val name: String? = null,
    val value: String? = null,
  )
}
