package com.fireworksdk.bridge.models.enums

enum class FWPlayerStyle(val rawValue: String) {
  Full("full"),
  Fit("fit");

  companion object {
    fun deserialize(rawValue: String?): FWPlayerStyle? {
      rawValue ?: return null
      return FWPlayerStyle.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWPlayerStyle?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}