#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint fw_flutter_sdk.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'fw_flutter_sdk'
  s.version          = '1.0.0'
  s.summary          = 'Flutter plugin for Firework SDK'
  s.description      = <<-DESC
Supports integrating video feed, shopping, and live stream into Flutter Apps.
                       DESC
  s.homepage         = 'https://github.com/loopsocial/fw_flutter_sdk'
  s.license          = { :file => '../LICENSE' }
  s.author           = "Loop Now Technologies, Inc."
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*.{h,m,mm,swift}', 'FireworkVideoUI/**/*.swift'
  s.exclude_files = [
    'FireworkVideoUI/build/**/*',
    'FireworkVideoUI/FireworkVideoUITests/**/*',
    'FireworkVideoUI/Pods/**/*',
    'FireworkVideoUI/scripts/**/*',
  ]
  s.dependency 'Flutter'
  s.platform = :ios, '12.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
  s.static_framework = true

  s.dependency "FireworkVideo", "1.15.0"
end
