class LiveStreamMessageDetails {
  /// A unique identifier of the message.
  String messageId;

  /// The username of the user.
  String? username;

  /// The text of the message.
  String? text;

  LiveStreamMessageDetails({
    required this.messageId,
    this.username,
    this.text,
  });
}

enum LiveStreamChatEventName {
  /// Called when a user sends messages to an active live stream.
  userSendChat,
}
