import 'dart:developer' as developer;

import 'package:flutter/foundation.dart';

class FWLoggerUtil {
  static bool enabled = false;

  static void log(
    String message, {
    String name = 'com.loopnow.fondor',
  }) {
    if (kDebugMode && enabled) {
      developer.log(message, name: name);
    }
  }

  static void fwPrint(Object? object) {
    if (enabled) {
      if (kDebugMode) {
        print(object);
      }
    }
  }
}
