import 'button_info_util.dart';

import '../../models/video_player_button_configuration.dart';

class VideoPlayerButtonConfigurationUtil {
  static Map<String, dynamic> toJson(VideoPlayerButtonConfiguration config) {
    Map<String, dynamic> json = {};

    if (config.videoDetailButton != null) {
      json["videoDetailButton"] =
          ButtonInfoUtil.toJson(config.videoDetailButton!);
    }

    if (config.closeButton != null) {
      json["closeButton"] = ButtonInfoUtil.toJson(config.closeButton!);
    }

    if (config.muteButton != null) {
      json["muteButton"] = ButtonInfoUtil.toJson(config.muteButton!);
    }

    if (config.unmuteButton != null) {
      json["unmuteButton"] = ButtonInfoUtil.toJson(config.unmuteButton!);
    }

    if (config.playButton != null) {
      json["playButton"] = ButtonInfoUtil.toJson(config.playButton!);
    }

    if (config.pauseButton != null) {
      json["pauseButton"] = ButtonInfoUtil.toJson(config.pauseButton!);
    }

    return json;
  }
}
